Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gov.nasa.worldwind.layers
Class PlaceNameLayer

    java.lang.Object
      gov.nasa.worldwind.AVListImpl
          gov.nasa.worldwind.WWObjectImpl
              gov.nasa.worldwind.layers.AbstractLayer
                  gov.nasa.worldwind.layers.PlaceNameLayer

All Implemented Interfaces:
  AVList, Disposable, Layer, WWObject, PropertyChangeListener, EventListener

Direct Known Subclasses:
  EarthNASAPlaceNameLayer

    public class PlaceNameLayer

extends AbstractLayer

Field Summary

Fields inherited from class gov.nasa.worldwind.AVListImpl
`changeSupport`

Constructor Summary
`PlaceNameLayer(PlaceNameServiceSet placeNameServiceSet)`

Method Summary
`protected void` | `doRender(DrawContext dc)`
`PlaceNameServiceSet` | `getPlaceNameServiceSet()`

Methods inherited from class gov.nasa.worldwind.layers.AbstractLayer
`dispose, doPick, getMaxActiveAltitude, getMinActiveAltitude, getName, getOpacity, isEnabled, isLayerActive, isLayerInView, isPickEnabled, pick, render, setEnabled, setMaxActiveAltitude, setMinActiveAltitude, setName, setOpacity, setPickEnabled, toString`

Methods inherited from class gov.nasa.worldwind.AVListImpl
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, propertyChange, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface gov.nasa.worldwind.AVList
`addPropertyChangeListener, addPropertyChangeListener, copy, firePropertyChange, firePropertyChange, getStringValue, getValue, hasKey, removeKey, removePropertyChangeListener, removePropertyChangeListener, setValue`

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Constructor Detail

### PlaceNameLayer

    public PlaceNameLayer(PlaceNameServiceSet placeNameServiceSet)

Parameters:
  `placeNameServiceSet` - the set of PlaceNameService objects that PlaceNameLayer will render.
Throws:
  `IllegalArgumentException` - if `placeNameServiceSet` is null

Method Detail

### doRender

    protected void doRender(DrawContext dc)

  Specified by:
    `doRender` in class `AbstractLayer`

### getPlaceNameServiceSet

    public final PlaceNameServiceSet getPlaceNameServiceSet()

Overview | Package | Class | Use | Tree | Index | Help
| NASA World Wind
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD